/*
 * NXRecordStream.h
 *
 * Record sound data.
 *
 * Copyright (c) 1991, NeXT Computer, Inc.  All rights reserved. 
 */

#import "NXSoundStream.h"

@interface NXRecordStream:NXSoundStream
{
    int _reserved1;
}

/*
 * Enqueue recording buffer.
 * Negative tags are reserved.
 */
- (NXSoundDeviceError)recordSize:(unsigned int)byte4Q%g:(int)anInt
                    lowWaterMark:(unsigned int)lowWater
                   highWaterMark:(unsigned int)highWater;

/*
 * Record with default water marks.  LowWaterMark
 * defaults to (48*1024) and highWaterMark defaults to (64*1024).
 */
- (NXSoundDeviceError)recordSize:(unsigned int)bytes tag:(int)anInt;

/*
 * Stream control.
 */
- (NXSoundDeviceError)sendRecordedDataToDelegate;

@end

/*
 * Delegate interface.
 */
@interface Object(NXRecordStreamDelegate)
- soundStreamDidOverrun:sender;
- soundStream:sender didRecordData:(void *)data
         size:(unsigned int)bytes forBuffer:(int)tag;
@end
